> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create registration

> Create a registration for a provider



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml post /v1/organisations/{organisationId}/providers/{providerId}/registrations
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/organisations/{organisationId}/providers/{providerId}/registrations:
    post:
      tags:
        - Provider
      summary: Create registration
      description: Create a registration for a provider
      operationId: ProviderController_createRegistration
      parameters:
        - name: organisationId
          required: true
          in: path
          schema:
            type: string
        - name: providerId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProviderRegistrationCreateParams'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProviderRegistration'
components:
  schemas:
    ProviderRegistrationCreateParams:
      type: object
      properties:
        locationId:
          type: string
          description: The location ID
        type:
          enum:
            - medicare
            - phi
            - ndis
          type: string
          description: The type of registration to create
        ndis:
          description: The NDIS registration parameters
          allOf:
            - $ref: '#/components/schemas/ProviderRegistrationCreateNdisParams'
      required:
        - type
    ProviderRegistration:
      type: object
      properties:
        id:
          type: string
        providerId:
          type: string
        type:
          enum:
            - medicare
            - phi
            - ndis
          type: string
        status:
          enum:
            - inactive
            - pending
            - active
            - paused
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
        deleted:
          type: boolean
        deletedAt:
          format: date-time
          type: string
        ndis:
          $ref: '#/components/schemas/ProviderRegistrationNdis'
        medicare:
          $ref: '#/components/schemas/ProviderRegistrationMedicare'
        phi:
          $ref: '#/components/schemas/ProviderRegistrationPhi'
      required:
        - id
        - providerId
        - type
        - status
        - createdAt
        - updatedAt
        - deleted
    ProviderRegistrationCreateNdisParams:
      type: object
      properties:
        providerNumber:
          type: string
          minLength: 9
          maxLength: 9
          description: The NDIS number of the provider
          example: '123456789'
      required:
        - providerNumber
    ProviderRegistrationNdis:
      type: object
      properties:
        providerNumber:
          type: string
      required:
        - providerNumber
    ProviderRegistrationMedicare:
      type: object
      properties:
        providerNumber:
          type: string
      required:
        - providerNumber
    ProviderRegistrationPhi:
      type: object
      properties:
        providerNumber:
          type: string
      required:
        - providerNumber

````